Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.grmm.inference.gbp
Class ClusterVariationalRegionGenerator

    java.lang.Object
      cc.mallet.grmm.inference.gbp.ClusterVariationalRegionGenerator

All Implemented Interfaces:
  RegionGraphGenerator

    public class ClusterVariationalRegionGenerator

extends java.lang.Object
implements RegionGraphGenerator

Created: Jun 1, 2005

Version:
  $Id: ClusterVariationalRegionGenerator.java,v 1.1 2007/10/22 21:37:58 mccallum Exp $
Author:

  Nested Class Summary
  `static interface` | `ClusterVariationalRegionGenerator.BaseRegionComputer`
  `static class` | `ClusterVariationalRegionGenerator.ByFactorRegionComputer` Region computer where each top-level region consists of a single factor node.
  `static class` | `ClusterVariationalRegionGenerator.Grid2x2RegionComputer`

  Constructor Summary
  `ClusterVariationalRegionGenerator()`
  `ClusterVariationalRegionGenerator(ClusterVariationalRegionGenerator.BaseRegionComputer regionComputer)`

  Method Summary
  `static void` | `addAllFactors(FactorGraph mdl, java.util.List regions)`
  `cc.mallet.grmm.inference.gbp.RegionGraph` | `constructRegionGraph(FactorGraph mdl)` Construct a region graph from an artbitrary model.
  `static void` | `removeSubsumedRegions(java.util.List regions)`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### ClusterVariationalRegionGenerator

      public ClusterVariationalRegionGenerator()

  ### ClusterVariationalRegionGenerator

      public ClusterVariationalRegionGenerator(ClusterVariationalRegionGenerator.BaseRegionComputer regionComputer)

  Method Detail

  ### constructRegionGraph

      public cc.mallet.grmm.inference.gbp.RegionGraph constructRegionGraph(FactorGraph mdl)

    Description copied from interface: `RegionGraphGenerator`
    Construct a region graph from an artbitrary model.

    Specified by:
      `constructRegionGraph` in interface `RegionGraphGenerator`
    Parameters:
      `mdl` - Undirected Model to construct region graph from.

  ### removeSubsumedRegions

      public static void removeSubsumedRegions(java.util.List regions)

  ### addAllFactors

      public static void addAllFactors(FactorGraph mdl,
                                       java.util.List regions)

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD